Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
API Reference
List all posts
Returns information about all posts
List all posts
curl --request GET \
--url https://www.app.ocoya.com/api/_public/v1/post \
--header 'X-API-Key: <api-key>'[
{
"id": "cmajvvb9q0003ja5vh0538j6r",
"status": "SCHEDULED",
"createdAt": "2024-01-01T00:00:00Z",
"scheduledAt": "2024-01-01T00:00:00Z",
"campaignId": null,
"campaign": null,
"workflowId": null,
"workflow": null,
"posts": [
{
"id": "cmajvvbaa0004ja5v2c0c8k1x",
"provider": "instagram",
"caption": "Happy new year everyone!",
"title": null,
"options": {
"type": "post"
},
"creatives": [
{
"id": "cm2d687bf000q5h5vct2hdmyg",
"position": 0,
"image": "https://cdn.ocoya.com/prod/creative/13a76677.jpeg",
"video": null,
"thumbnail": null
}
],
"boardIds": []
}
],
"socialProfiles": [
{
"socialProfile": {
"id": "clh49poxf008x8kov4ncbjty9",
"provider": "instagram",
"name": "Ocoya",
"image": null,
"socialAccount": {
"options": {}
}
}
}
]
}
]Authorizations
Query Parameters
Response
application/json
Success. Newest scheduled first.
object[]
Was this page helpful?